const MARKDOWN_SOURCE_CHARACTER_REGEX = /* /$markdown-source-character/ */ /\\[!"#$%&'()*+,.\/:;<=>?@^_`{}~\[\]\\\-]|[^]/g;
export function unescapeMarkdown(source) {
    let groups;
    let markdownFragments = [];
    let textFragments = [];
    // tslint:disable-next-line:no-conditional-assignment
    while ((groups = MARKDOWN_SOURCE_CHARACTER_REGEX.exec(source))) {
        let [markdownCharacter] = groups;
        markdownFragments.push(markdownCharacter);
        textFragments.push(markdownCharacter.slice(-1));
    }
    return {
        markdownFragments,
        markdown: markdownFragments.join(''),
        textFragments,
        text: textFragments.join(''),
    };
}
//# sourceMappingURL=markdown.js.map